<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Feedback;

class SendeDozFeedbackController extends \Kufer\KuferTools\Basis\KursDetails\Feedback\SendFeedbackController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SendeDozFeedbackUseCase($this->getRequestObj());
  }

  protected function getNewRequestObj()
  {
    return new SendDozFeedbackRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    
    $action = \GetOperations::getVarValue('action');

    return $this->handleXsrf($requestObj, $action, $requestObj->knr);
  }
}